"use client";

import { SimpleGrid, Icon, useColorModeValue } from "@chakra-ui/react";
import MiniStatistics from "@/components/card/MiniStatistics";
import { MdGroup } from "react-icons/md";
import { TbUsersGroup } from "react-icons/tb";
import IconBox from "components/icons/IconBox";
import { IoBriefcaseSharp } from "react-icons/io5";
import { FaUsers } from "react-icons/fa6";
import { BsFillPeopleFill, BsPersonBadge } from "react-icons/bs";

interface DashboardData {
  total_cases: number;
  total_agents: number;
  total_attendance: number;
  daily_assignment: number;
  daily_kyc: number;
  daily_consumer: number;
}

const StatsGrid = ({ dashboardData }: { dashboardData: any }) => {
  const boxBg = useColorModeValue("secondaryGray.300", "whiteAlpha.100");
  const brandColor = useColorModeValue("brand.500", "white");

  return (
    <SimpleGrid columns={{ base: 1, md: 2, lg: 3, "2xl": 3 }} gap="20px" mb="20px">
      <MiniStatistics
        startContent={<IconBox w="56px" h="56px" bg={boxBg} icon={<Icon w="28px" h="28px" as={FaUsers} color={brandColor} />} />}
        name="Total Assignments"
        value={dashboardData?.daily_assignment || "0"}
      />
      <MiniStatistics
        startContent={<IconBox w="56px" h="56px" bg={boxBg} icon={<Icon w="32px" h="32px" as={BsPersonBadge} color={brandColor} />} />}
        name="Total Remaining"
        value={dashboardData?.daily_kyc || "0"}
      />
      <MiniStatistics
        startContent={<IconBox w="56px" h="56px" bg={boxBg} icon={<Icon w="32px" h="32px" as={BsFillPeopleFill} color={brandColor} />} />}
        name="Total Attempts"
        value={dashboardData?.daily_consumer || "0"}
      />
    </SimpleGrid>
  );
};

export default StatsGrid;
